v0.10.15 - Onyx Release

eduffield

Core Developer
Mar 9, 2014
1,084
5,319
183

orangecycle

Well-known Member
Foundation Member
Oct 2, 2014
169
239
203
node40.com
After updating and restarting, I do a getinfo and it still shows

"version" : 101517

NOTE: I'm new and this is my first update, so I could be doing something wrong. But I don't think so.
 

thelonecrouton

Well-known Member
Foundation Member
Apr 15, 2014
1,135
813
283
After updating and restarting, I do a getinfo and it still shows

"version" : 101517

NOTE: I'm new and this is my first update, so I could be doing something wrong. But I don't think so.
Your browser may have cached the darkcoin.io download page (assuming that's where you got it) ?

- I can only vouch for the linux link, it's definitely v19. (github source also good!)
 

UdjinM6

Official Dash Dev
Dash Core Team
Moderator
May 20, 2014
3,638
3,538
1,183
Ok. Thanks for the confirmation. That means I'm doing it wrong :sad:
give us exact procedure you are using to update so we can help
mine for example is (I keep it in mn_update.sh)
Code:
#!/bin/bash
if [ $1 ]; then
DARK=darkcoin-$1-linux
else
DARK=darkcoin-0.10.15.17-linux
fi
wget https://github.com/darkcoinproject/darkcoin-binaries/raw/master/$DARK.tar.gz
tar -xvf $DARK.tar.gz
chmod u+x $DARK/bin/64/darkcoind
darkcoind stop
sleep 5
mv $DARK/bin/64/darkcoind /usr/bin/darkcoind
rm -r $DARK*
darkcoind
so for 0.10.15.19 I can run it like that
Code:
sudo ./mn_update.sh 0.10.15.19
 
  • Like
Reactions: crowning

crowning

Well-known Member
May 29, 2014
1,415
1,997
183
Alpha Centauri Bc
Ok. Thanks for the confirmation. That means I'm doing it wrong :sad:
Get new version: wget https://github.com/darkcoinproject/darkcoin-binaries/raw/master/darkcoin-0.10.15.19-linux.tar.gz

Extract new version: tar xvf darkcoin-0.10.15.19-linux.tar.gz

Locate the currently running darkcoind: ps aux | grep darkcoind

Most probably its located in /usr/bin or /usr/local/bin, the command above will show you the location.

Stop the daemon: darkcoind stop

Rename the old binary in case you should need it later: mv /usr/bin/darkcoind /usr/bin/darkcoind.v0.10.15.17

Copy the binary from the archive to the location where the old binary was: cp darkcoin-0.10.15.19-linux/bin/64/darkcoind /usr/bin/darkcoind

If you happen to have a 32 bit Linux running you must use the version in darkcoin-0.10.15.19-linux/bin/32/

Restart daemon: darkcoind

Wait a minute or so, then type: darkcoind getinfo

The result should look (more or less) like this:

{
"version" : 101519,
"protocolversion" : 70043,
"walletversion" : 60001,
"balance" : 0.00000000,
"darksend_balance" : 0.00000000,
"blocks" : 164194,
"timeoffset" : 0,
"connections" : 8,
"proxy" : "",
"difficulty" : 3056.31052541,
"testnet" : false,
"keypoololdest" : 1412448054,
"keypoolsize" : 1001,
"paytxfee" : 0.00000000,
"mininput" : 0.00001000,
"errors" : ""
}
 
Last edited by a moderator:
  • Like
Reactions: UdjinM6

orangecycle

Well-known Member
Foundation Member
Oct 2, 2014
169
239
203
node40.com
give us exact procedure you are using to update so we can help
mine for example is (I keep it in mn_update.sh)
Code:
#!/bin/bash
if [ $1 ]; then
DARK=darkcoin-$1-linux
else
DARK=darkcoin-0.10.15.17-linux
fi
wget https://github.com/darkcoinproject/darkcoin-binaries/raw/master/$DARK.tar.gz
tar -xvf $DARK.tar.gz
chmod u+x $DARK/bin/64/darkcoind
darkcoind stop
sleep 5
mv $DARK/bin/64/darkcoind /usr/bin/darkcoind
rm -r $DARK*
darkcoind
so for 0.10.15.19 I can run it like that
Code:
sudo ./mn_update.sh 0.10.15.19
Thanks. Found an issue in my update script and corrected it. I now have all my nodes updated.
 
  • Like
Reactions: splawik21

innergy

Member
Jun 27, 2014
46
13
48
I'm a linux noob so I'm using WinSCP for update. I download the daemon and wallet to my windows local machine, login to MN through WinSCP and Putty and then:

1. Putty > ./darkcoind stop
2. WinSCP > delete old darkcoind and copy the new one.
3. Putty > chmod 755 darkcoind
3. Putty > ./darkcoind

That's all ;)
 

thelonecrouton

Well-known Member
Foundation Member
Apr 15, 2014
1,135
813
283
I'm a linux noob so I'm using WinSCP for update. I download the daemon and wallet to my windows local machine, login to MN through WinSCP and Putty and then:

1. Putty > ./darkcoind stop
2. WinSCP > delete old darkcoind and copy the new one.
3. Putty > chmod 755 darkcoind
3. Putty > ./darkcoind

That's all ;)
If you can manage that, you're practically a linux expert ;) - you might as well replace step 2 with a

Putty > mv darkcoind darkcoind-old && wget https://raw.githubusercontent.com/d...aries/master/darkcoin-0.10.15.19-linux.tar.gz

- it'll probably be about 100x faster downloading from your server via a gigabit backbone than uploading to it on a domestic connection.
 

oblox

Well-known Member
Aug 6, 2014
1,032
537
183
If you can manage that, you're practically a linux expert ;) - you might as well replace step 2 with a

Putty > mv darkcoind darkcoind-old && wget https://raw.githubusercontent.com/d...aries/master/darkcoin-0.10.15.19-linux.tar.gz

- it'll probably be about 100x faster downloading from your server via a gigabit backbone than uploading to it on a domestic connection.
But then you'll need to add steps to untar it and move the binary from the embedded folders.
 

GermanRed+

Active Member
Aug 28, 2014
299
109
113
We started to have many partially unlisted nodes on drk.mn again! Can someone take a look? Is the evil striking back?
 

thelonecrouton

Well-known Member
Foundation Member
Apr 15, 2014
1,135
813
283
It was pretty bad a moment ago. But, after I sent the message, many went back to 100% active. But, the Payee Block Template history list still looks kind of bad.
elbereth's MNs are on v17 and older. drk.mn isn't magic, it's just data pulled from his MNs/running wallets and stuck in one place. If the MNs etc. are running deprecated versions of the daemon, the results can't be relied upon to be accurate...
 

GermanRed+

Active Member
Aug 28, 2014
299
109
113
elbereth's MNs are on v17 and older. drk.mn isn't magic, it's just data pulled from his MNs/running wallets and stuck in one place. If the MNs etc. are running deprecated versions of the daemon, the results can't be relied upon to be accurate...
Okay, just want to let everyone know when something doesn't look right.
 

splawik21

Grizzled Member
Dash Core Team
Moderator
Foundation Member
Dash Support Group
Apr 8, 2014
1,917
1,274
1,283
is there a new version in GIT ?
v0.10.16.4
this is only for darkocin liquidity...and yes it is new old was 10.16.3

the main common wallet is 10.15.19
 

GermanRed+

Active Member
Aug 28, 2014
299
109
113
Start-many is not yet included in any official version.
I think start-many was included in v0.10.16.x since v0.10.16.0. Anyone knows how to use the feature? I can't find the documentation. It seems you need another configuration file for the MN IP address and the corresponding pubkey. Any documentation?
 

crowning

Well-known Member
May 29, 2014
1,415
1,997
183
Alpha Centauri Bc
  • Like
Reactions: GermanRed+